# Uses of Class
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason

Packages that use ISystemDescriptor.ResolutionException.Reason
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of ISystemDescriptor.ResolutionException.Reason in org.eclipse.emf.cdo.lm.client

Subclasses of ISystemDescriptor.ResolutionException.Reason in org.eclipse.emf.cdo.lm.client
Modifier and Type
Class
Description
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Conflicting`
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Missing`
Methods in org.eclipse.emf.cdo.lm.client that return ISystemDescriptor.ResolutionException.Reason
Modifier and Type
Method
Description
`ISystemDescriptor.ResolutionException.Reason[]`
ISystemDescriptor.ResolutionException.`getReasons()`
Constructors in org.eclipse.emf.cdo.lm.client with parameters of type ISystemDescriptor.ResolutionException.Reason
Modifier
Constructor
Description
``
`ResolutionException(ISystemDescriptor.ResolutionException.Reason[] reasons)`